Bug 1175312 (plasma-milou) - Review Request: plasma-milou - A dedicated KDE search application built on top of Baloo
Summary: Review Request: plasma-milou - A dedicated KDE search application built on to...
Keywords:
Status: CLOSED RAWHIDE
Alias: plasma-milou
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: plasma5
TreeView+ depends on / blocked
 
Reported: 2014-12-17 13:37 UTC by Jan Grulich
Modified: 2015-01-20 13:42 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-20 13:42:15 UTC
rdieter: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Jan Grulich 2014-12-17 13:37:30 UTC
Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-milou.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-milou-5.1.1-1.fc21.src.rpm
Description: A dedicated KDE search application built on top of Baloo
Fedora Account System Username: jgrulich

Comment 1 Rex Dieter 2014-12-19 14:26:54 UTC
Naming: OK  (mostly)
(I think I'd prefer to simply call this "milou", without the artificial plasma- prefix, but we're already using that in other plasma applets, so maybe it's too late to reverse course now)

1. URL Not OK
Please use,
URL: https://projects.kde.org/projects/kde/workspace/milou

2. SHOULD not use %make_install macro (not recommended by packaging guidelines... yet)
I'd prefer:
make install/fast DESTDIR=%{buildroot} -C %{_target_platform}
over
%make_install -C %{_target_platform}

macros: NOT OK
3.  SHOULD use %_kf5_qmldir macro
replace
%{_qt5_prefix}/qml/org/kde/milou
with
%{_kf5_qmldir}/org/kde/milou/

sources: OK
b99660be2145dae3144e8e004c649ec6  milou-5.1.1.tar.xz

licensing: OK

scriptlets: OK

Comment 2 Jan Grulich 2015-01-02 15:29:42 UTC
Naming: We are using kde-plasma- prefix for applets so I'm not sure right now what to use for milou. I also just realized that we already have kde-plasma-milou package so if you want to keep it we can discard this review and just update the current package.

1. Fixed
2. Fixed
3. Fixed

Spec URL: https://jgrulich.fedorapeople.org/plasma5/plasma-milou.spec
SRPM URL: https://jgrulich.fedorapeople.org/plasma5/plasma-milou-5.1.1-1.fc21.src.rpm
Description: A dedicated KDE search application built on top of Baloo
Fedora Account System Username: jgrulich

Comment 3 Rex Dieter 2015-01-07 15:26:30 UTC
Looks good, thanks... APPROVED.


then we can retire kde-plasma-milou for f22+, I suppose for added safety you could also consider adding:
Provides: kde-plasma-milou = %{version}=%{release}

Comment 4 Jan Grulich 2015-01-08 09:01:24 UTC
New Package SCM Request
=======================
Package Name: plasma-milou
Short Description: A dedicated KDE search application built on top of Baloo
Upstream URL: https://projects.kde.org/projects/kde/workspace/milou
Owners: group::kde-sig rdieter kkofler dvratil than jgrulich ltinkl
Branches: f21
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-08 13:50:59 UTC
Git done (by process-git-requests).


Note You need to log in before you can comment on or make changes to this bug.